Bug 342721 - multiarch conflicts in ocaml
multiarch conflicts in ocaml
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:52 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:59:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:52:14 EDT
ocaml (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/camlp4 from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4boot from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4o from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4o.opt from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4of from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4of.opt from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4oof from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4oof.opt from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4orf from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4orf.opt from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4r from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4r.opt from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4rf from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/camlp4rf.opt from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/mkcamlp4 from install of ocaml-camlp4-devel-3.10.0-7.fc8 conflicts with file from package ocaml-camlp4-devel-3.10.0-7.fc8
  file /usr/bin/ocamlbrowser from install of ocaml-labltk-devel-3.10.0-7.fc8 conflicts with file from package ocaml-labltk-devel-3.10.0-7.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Richard W.M. Jones 2007-10-24 06:09:14 EDT
How are the above messages produced?  I can install
the i386 & x86_64 packages together just fine:

# yum install ocaml-camlp4-devel
Loading "refresh-updatesd" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package ocaml-camlp4-devel.i386 0:3.10.0-7.fc8 set to be updated
---> Package ocaml-camlp4-devel.x86_64 0:3.10.0-7.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 ocaml-camlp4-devel      i386       3.10.0-7.fc8     development       6.6 M
 ocaml-camlp4-devel      x86_64     3.10.0-7.fc8     development       7.0 M

Transaction Summary
=============================================================================
Install      2 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 14 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): ocaml-camlp4-devel 100% |=========================| 7.0 MB    00:32     
(2/2): ocaml-camlp4-devel 100% |=========================| 6.6 MB    00:30     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: ocaml-camlp4-devel           ######################### [1/2] 
  Installing: ocaml-camlp4-devel           ######################### [2/2] 

Installed: ocaml-camlp4-devel.i386 0:3.10.0-7.fc8 ocaml-camlp4-devel.x86_64
0:3.10.0-7.fc8
Complete!
Comment 2 Bill Nottingham 2007-10-24 14:17:08 EDT
You need to install them in separate transactions - there is a rpm bug about this.
Comment 3 Richard W.M. Jones 2007-10-24 14:36:28 EDT
OK, I see now.  I'll take a look and file the other RPM bug if necessary.
Comment 4 Bug Zapper 2008-04-04 10:13:03 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Richard W.M. Jones 2008-04-04 10:20:57 EDT
This still applies to Rawhide afaict.
Comment 6 Bug Zapper 2008-05-13 23:36:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Richard W.M. Jones 2008-05-14 17:12:20 EDT
Arrrrgh, moved to Rawhide again.
Comment 8 Bug Zapper 2008-11-25 21:01:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-18 03:12:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 00:59:42 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.